Loading...
Searching...
No Matches
Magick::PathLinetoHorizontalAbs Class Reference
Inheritance diagram for Magick::PathLinetoHorizontalAbs:

## Public Member Functions

| PathLinetoHorizontalAbs (double x_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const
void | x (double x_)
double | x (void) const

## Private Attributes

double | _x

## Detailed Description

Definition at line 2973 of file Drawable.h.

## Constructor & Destructor Documentation

## PathLinetoHorizontalAbs()

Magick::PathLinetoHorizontalAbs::PathLinetoHorizontalAbs | ( | double | x_ | ) |

inline

Definition at line 2976 of file Drawable.h.

: _x(x_)
{
}

## ~PathLinetoHorizontalAbs()

Magick::PathLinetoHorizontalAbs::~PathLinetoHorizontalAbs | ( | void |  | ) |

Definition at line 2382 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathLinetoHorizontalAbs::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2390 of file Drawable.cpp.

{
return new PathLinetoHorizontalAbs(*this);
}

## operator()()

void Magick::PathLinetoHorizontalAbs::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 2385 of file Drawable.cpp.

{
DrawPathLineToHorizontalAbsolute( context_, _x );
}

## x() [1/2]

void Magick::PathLinetoHorizontalAbs::x | ( | double | x_ | ) |

inline

Definition at line 2989 of file Drawable.h.

{
_x = x_;
}

## x() [2/2]

double Magick::PathLinetoHorizontalAbs::x | ( | void |  | ) | const

inline

Definition at line 2993 of file Drawable.h.

{
return _x;
}

## Field Documentation

## _x

double Magick::PathLinetoHorizontalAbs::_x

private

Definition at line 2999 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp